Update Shipping Rate
curl --request PUT \
--url https://api.withflex.com/v1/shipping_rates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"shipping_rate": {
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"active": false
}
}
'import requests
url = "https://api.withflex.com/v1/shipping_rates/{id}"
payload = { "shipping_rate": {
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"active": False
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
shipping_rate: {metadata: {order_id: '8842', channel: 'shopify'}, active: false}
})
};
fetch('https://api.withflex.com/v1/shipping_rates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"shipping_rate": {
"shipping_rate_id": "fshr_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"active": false,
"display_name": "Example",
"amount": 2500,
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"created_at": "2026-06-15T14:30:00Z"
}
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}{
"code": "string",
"detail": "string"
}Update Shipping Rate
Updates the specified shipping rate. You can update active and metadata; both are
overwritten with the values passed, and omitting metadata clears it. The shipping rate’s
display_name and amount are immutable.
PUT
/
v1
/
shipping_rates
/
{id}
Update Shipping Rate
Authorizations
Use a Bearer token to access this API.
Path Parameters
Example:
"fshr_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
Body
application/json
An envelope wrapping a single shipping rate object.
An envelope wrapping a single shipping rate object.
The shipping rate.
Show child attributes
Show child attributes
Example:
{
"metadata": { "order_id": "8842", "channel": "shopify" },
"active": false
}
Response
An envelope wrapping a single shipping rate object.
An envelope wrapping a single shipping rate object.
The shipping rate.
Show child attributes
Show child attributes
Example:
{
"shipping_rate_id": "fshr_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"active": false,
"display_name": "Example",
"amount": 2500,
"metadata": { "order_id": "8842", "channel": "shopify" },
"created_at": "2026-06-15T14:30:00Z"
}
⌘I